<?php
/**
* @version		1.0
* @package		DJ Classifieds
* @subpackage	DJ Classifieds and EasySocial integration
* @copyright	Copyright (C) 2010 DJ-Extensions.com LTD, All rights reserved.
* @license		http://www.gnu.org/licenses GNU/GPL
* @autor url    http://design-joomla.eu
* @autor email  contact@design-joomla.eu
* @Developer    Lukasz Ciastek - lukasz.ciastek@design-joomla.eu
* 
* 
* DJ Classifieds is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* DJ Classifieds is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with DJ Classifieds. If not, see <http://www.gnu.org/licenses/>.
* 
*/


defined( '_JEXEC' ) or die( 'Unauthorized Access' );


// Import the model file from the core

Foundry::import( 'admin:/includes/model' );



class DjcfitemsModel extends EasySocialModel

{



	public function getItems( $userId, $limit ){

			$db	= JFactory::getDBO();
			$query = "SELECT i.*,c.alias as c_alias,c.name as c_name, r.name as r_name " 
					."FROM #__djcf_categories c, #__djcf_items i "
					."LEFT JOIN #__djcf_regions r ON r.id=i.region_id "
					."WHERE i.date_exp > NOW() AND i.published = 1 AND c.published = 1 AND i.cat_id=c.id AND i.user_id=".$userId." "			
					."ORDER BY i.date_start DESC limit ".$limit;
			$db->setQuery($query);
			$items=$db->loadObjectList();	
			
			
			if(count($items)){
				$id_list= '';
				foreach($items as $item){
					if($id_list){
						$id_list .= ','.$item->id;
					}else{
						$id_list .= $item->id;
					}
				}
								
				$items_img = DJClassifiedsImage::getAdsImages($id_list);
				
				for($i=0;$i<count($items);$i++){
					
					$img_found =0;
					$items[$i]->images = array();
					foreach($items_img as $img){
						if($items[$i]->id==$img->item_id){
							$img_found =1;							
							$items[$i]->images[]=$img;								
						}else if($img_found){
							break;
						}
					}					
				}
			}
				
		return $items;		

	}

}